Commit 22d4168f authored by Luc Everse's avatar Luc Everse

Use C.UTF-8 as the environment locale

parent 466a9a75
......@@ -4,7 +4,22 @@ EXPOSE 5000 8080/tcp
WORKDIR /usr/auta-src
RUN sh -c 'apt update && apt upgrade -y && mkdir -p /usr/share/man/man1 && apt install -y --no-install-recommends openjdk-11-jdk-headless python3 ruby ruby-dev build-essential libicu63 libicu-dev zlib1g zlib1g-dev cmake pkg-config libssl1.1 libssl-dev git && gem install -N github-linguist && git config --global user.email 'auta-build-env+noreply@auta.ewi.tudelft.nl' && git config --global user.name 'auta-build-env' && apt remove -y ruby-dev build-essential libicu-dev zlib1g-dev cmake pkg-config libssl-dev && apt autoremove -y && apt clean && rm -Rf /var/lib/apt/lists/*'
RUN sh -c 'apt update \
&& apt upgrade -y \
&& mkdir -p /usr/share/man/man1 \
&& apt install -y --no-install-recommends openjdk-11-jdk-headless python3 ruby ruby-dev \
build-essential libicu63 libicu-dev zlib1g zlib1g-dev cmake pkg-config libssl1.1 \
libssl-dev git python3-pip \
&& pip3 install profanity-check \
&& gem install -N github-linguist \
&& git config --global user.email 'auta-build-env+noreply@auta.ewi.tudelft.nl' \
&& git config --global user.name 'auta-build-env' \
&& apt remove -y ruby-dev build-essential libicu-dev zlib1g-dev cmake pkg-config libssl-dev \
&& apt autoremove -y \
&& apt clean \
&& rm -Rf /var/lib/apt/lists/*'
ENV LANG="C.UTF-8" LANGUAGE="C.UTF-8" LC_ALL="C.UTF-8"
COPY gradle ./gradle
COPY gradlew ./
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment